Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Class BeanContextEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.beans.beancontext.BeanContextEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BeanContextMembershipEvent, BeanContextServiceAvailableEvent, BeanContextServiceRevokedEvent

public abstract class BeanContextEvent
extends EventObject

`BeanContextEvent` is the abstract root event class for all events emitted from, and pertaining to the semantics of, a `BeanContext`. This class introduces a mechanism to allow the propagation of `BeanContextEvent` subclasses through a heirarchy of `BeanContext`s. The `setPropagatedFrom()` and `getPropagatedFrom()` methods allow a `BeanContext` to identify itself as the source of a propagated event.

Since:
  1.2
See Also:
  `BeanContext`, Serialized Form

Field Summary
`protected BeanContext` | `propagatedFrom` The `BeanContext` from which this event was propagated

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`protected` | `BeanContextEvent(BeanContext bc)` Contruct a BeanContextEvent

Method Summary
`BeanContext` | `getBeanContext()` Gets the `BeanContext` associated with this event.
`BeanContext` | `getPropagatedFrom()` Gets the `BeanContext` from which this event was propagated.
`boolean` | `isPropagated()` Reports whether or not this event is propagated from some other `BeanContext`.
`void` | `setPropagatedFrom(BeanContext bc)` Sets the `BeanContext` from which this event was propagated.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propagatedFrom

    protected BeanContext propagatedFrom

  The `BeanContext` from which this event was propagated

Constructor Detail

### BeanContextEvent

    protected BeanContextEvent(BeanContext bc)

  Contruct a BeanContextEvent
  Parameters:
    `bc` - The BeanContext source

Method Detail

### getBeanContext

    public BeanContext getBeanContext()

  Gets the `BeanContext` associated with this event.
  Returns:
    the `BeanContext` associated with this event.

### setPropagatedFrom

    public void setPropagatedFrom(BeanContext bc)

  Sets the `BeanContext` from which this event was propagated.
  Parameters:
    `bc` - the `BeanContext` from which this event was propagated

### getPropagatedFrom

    public BeanContext getPropagatedFrom()

  Gets the `BeanContext` from which this event was propagated.
  Parameters:
    `bc` - The `BeanContext` that last propagated this `BeanContextEvent`
  Returns:
    the `BeanContext` from which this event was propagated

### isPropagated

    public boolean isPropagated()

  Reports whether or not this event is propagated from some other `BeanContext`.
  Returns:
    `true` if propagated, `false` if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.